Bug 183636 - multimedia/deforaos-player update to 0.1.6 and staging support
Summary: multimedia/deforaos-player update to 0.1.6 and staging support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-03 23:20 UTC by olivier
Modified: 2013-11-04 20:10 UTC (History)
0 users

See Also:


Attachments
file.diff (3.67 KB, patch)
2013-11-03 23:20 UTC, olivier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2013-11-03 23:20:00 UTC
Updating port with staging support and adapted to new deforaos lib version
This PR is number 4 of 6

01 - deforaos-libdesktop 0.0.10
02 - deforaos-keyboard rev1
03 - deforaos-browser 0.4.13
04 - deforaos-player 0.1.6  
05 - deforaos-panel 0.2.18  
06 - deforaos-locker rev1

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-11-04 11:09:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski freebsd_committer 2013-11-04 20:04:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-11-04 20:04:00 UTC
Author: wg
Date: Mon Nov  4 20:03:46 2013
New Revision: 332768
URL: http://svnweb.freebsd.org/changeset/ports/332768

Log:
  multimedia/deforaos-player: update to 0.1.6
  
  - Update to 0.1.6
  - Allow staging
  - Convert lib depends to new format
  
  PR:		ports/183636
  Submitted by:	maintainer

Added:
  head/multimedia/deforaos-player/files/
  head/multimedia/deforaos-player/files/patch-doc__Makefile   (contents, props changed)
Modified:
  head/multimedia/deforaos-player/Makefile
  head/multimedia/deforaos-player/distinfo
  head/multimedia/deforaos-player/pkg-plist

Modified: head/multimedia/deforaos-player/Makefile
==============================================================================
--- head/multimedia/deforaos-player/Makefile	Mon Nov  4 20:01:01 2013	(r332767)
+++ head/multimedia/deforaos-player/Makefile	Mon Nov  4 20:03:46 2013	(r332768)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	player
-PORTVERSION=	0.1.4
+PORTVERSION=	0.1.6
 CATEGORIES=	multimedia
-MASTER_SITES=	http://www.defora.org/os/download/download/3708/
+MASTER_SITES=	http://www.defora.org/os/download/download/4297/
 PKGNAMEPREFIX=	deforaos-
 DISTNAME=	Player-${PORTVERSION}
 
@@ -13,13 +13,18 @@ COMMENT=	DeforaOS desktop media player
 
 LICENSE=	GPLv3
 
-LIB_DEPENDS=	System:${PORTSDIR}/devel/deforaos-libsystem \
-		Desktop:${PORTSDIR}/x11/deforaos-libdesktop
+BUILD_DEPENDS=	xsltproc:${PORTSDIR}/textproc/libxslt \
+		${LOCALBASE}/share/xsl/docbook/manpages/docbook.xsl:${PORTSDIR}/textproc/docbook-xsl
+LIB_DEPENDS=	libSystem.so:${PORTSDIR}/devel/deforaos-libsystem \
+		libDesktop.so:${PORTSDIR}/x11/deforaos-libdesktop
 RUN_DEPENDS=	mplayer:${PORTSDIR}/multimedia/mplayer
 
 MAKE_ARGS+=	PREFIX=${PREFIX}
-USE_GNOME=	gtk20 desktopfileutils
-USES=		pkgconfig gettext
+USE_GNOME=	gtk20
+USES=		desktop-file-utils gettext pkgconfig
+
+MAKE_ENV+=	MANDIR=${STAGEDIR}${MANPREFIX}/man
+
+post-install: compress-man
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/multimedia/deforaos-player/distinfo
==============================================================================
--- head/multimedia/deforaos-player/distinfo	Mon Nov  4 20:01:01 2013	(r332767)
+++ head/multimedia/deforaos-player/distinfo	Mon Nov  4 20:03:46 2013	(r332768)
@@ -1,2 +1,2 @@
-SHA256 (Player-0.1.4.tar.gz) = 4b8b50f252895b47669c304ede8e7e218d7ce4774fc495008371284269e5bfd7
-SIZE (Player-0.1.4.tar.gz) = 37215
+SHA256 (Player-0.1.6.tar.gz) = ac208e9d07b56b55d3085bd0637ad26e17e25c927e1a7b577a9f96e6ae1da7df
+SIZE (Player-0.1.6.tar.gz) = 41827

Added: head/multimedia/deforaos-player/files/patch-doc__Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/deforaos-player/files/patch-doc__Makefile	Mon Nov  4 20:03:46 2013	(r332768)
@@ -0,0 +1,23 @@
+--- doc/Makefile.orig	2013-11-01 13:11:04.895668592 +0100
++++ doc/Makefile	2013-11-01 13:12:00.005665722 +0100
+@@ -1,4 +1,4 @@
+-TARGETS	= index.html player.1 player.html playerctl.1 playerctl.html
++TARGETS	= player.1 playerctl.1
+ PREFIX	= /usr/local
+ DESTDIR	=
+ RM	= rm -f
+@@ -33,14 +33,10 @@
+ 
+ install: $(TARGETS)
+ 	./docbook.sh -P "$(DESTDIR)$(PREFIX)" -i -- "player.1"
+-	./docbook.sh -P "$(DESTDIR)$(PREFIX)" -i -- "player.html"
+ 	./docbook.sh -P "$(DESTDIR)$(PREFIX)" -i -- "playerctl.1"
+-	./docbook.sh -P "$(DESTDIR)$(PREFIX)" -i -- "playerctl.html"
+ 
+ uninstall:
+ 	./docbook.sh -P "$(DESTDIR)$(PREFIX)" -u -- "player.1"
+-	./docbook.sh -P "$(DESTDIR)$(PREFIX)" -u -- "player.html"
+ 	./docbook.sh -P "$(DESTDIR)$(PREFIX)" -u -- "playerctl.1"
+-	./docbook.sh -P "$(DESTDIR)$(PREFIX)" -u -- "playerctl.html"
+ 
+ .PHONY: all clean distclean install uninstall

Modified: head/multimedia/deforaos-player/pkg-plist
==============================================================================
--- head/multimedia/deforaos-player/pkg-plist	Mon Nov  4 20:01:01 2013	(r332767)
+++ head/multimedia/deforaos-player/pkg-plist	Mon Nov  4 20:03:46 2013	(r332768)
@@ -1,5 +1,10 @@
 bin/player
+bin/playerctl
+include/Desktop/Player.h
+man/man1/player.1.gz
+man/man1/playerctl.1.gz
 share/Player/splash.png
 share/applications/player.desktop
 share/locale/fr/LC_MESSAGES/Player.mo
+@dirrmtry include/Desktop
 @dirrm share/Player
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"